Package org.springframework.security.authorization

# Interface AuthorizationProxyFactory

All Known Implementing Classes:
  `AuthorizationAdvisorProxyFactory`

public interface AuthorizationProxyFactory
A factory for wrapping arbitrary objects in authorization-related advice

Since:
  6.3
See Also:
  - `AuthorizationAdvisorProxyFactory`

## Method Summary

Modifier and Type
Method
Description
`Object`
`proxy(Object object)`
Wrap the given `object` in authorization-related advice.

## Method Details

### proxy

Object proxy(Object object)
Wrap the given `object` in authorization-related advice.

Please check the implementation for which kinds of objects it supports.

Parameters:
  `object` - the object to proxy
Returns:
  the proxied object
Throws:
  `org.springframework.aop.framework.AopConfigException` - if a proxy cannot be created